# $Revision: 1.23 $, $Date: 2002/10/11 12:33:37 $
#
# Conditional build:
# _with_tests - perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	libxml-enno
Summary:	libxml-enno Perl module
Summary(cs):	Modul libxml-enno pro Perl
Summary(da):	Perlmodul libxml-enno
Summary(de):	libxml-enno Perl Modul
Summary(es):	Mdulo de Perl libxml-enno
Summary(fr):	Module Perl libxml-enno
Summary(it):	Modulo di Perl libxml-enno
Summary(ja):	libxml-enno Perl ⥸塼
Summary(ko):	libxml-enno  
Summary(no):	Perlmodul libxml-enno
Summary(pl):	Modu Perla libxml-enno
Summary(pt):	Mdulo de Perl libxml-enno
Summary(pt_BR):	Mdulo Perl libxml-enno
Summary(ru):	  Perl libxml-enno
Summary(sv):	libxml-enno Perlmodul
Summary(uk):	  Perl libxml-enno
Summary(zh_CN):	libxml-enno Perl ģ
Name:		perl-libxml-enno
Version:	1.05
Release:	7
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
Patch0:		%{name}-XML-DOM-PerlSAX.patch
URL:		http://www.perl.com/CPAN/modules/by-module/%{pdir}/%{pnam}-%{version}.readme
BuildRequires:	perl-Date-Manip >= 5.33
BuildRequires:	perl-Parse-Yapp
BuildRequires:	perl-XML-Encoding
BuildRequires:	perl-XML-Parser >= 2.30
BuildRequires:	perl-devel >= 5.6.1
BuildRequires:	perl-libwww
BuildRequires:	perl-libxml >= 0.07
BuildRequires:	rpm-perlprov >= 3.0.3-18
Requires:	perl-libxml >= 0.07
Obsoletes:	perl-XML-DOM
Obsoletes:	perl-XML-XQL
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq "perl(XML::XQL::Plus)"

%description
libxml-enno cointains XML::DOM XML::XQL XML::Checker and several other
packages. This modules provides several fatures on handling/parsing
XML code.

%description -l pl
libxml-enno zawiera XML::DOM, XML::XQL, XML::Checker i kilka innych
pakietw. Ten modu dostarcza dodatkowe moliwoci do obsugi i
parsowania kodu XML.

%prep
%setup -q -n %{pnam}-%{version}
%patch0 -p1

%build
perl Makefile.PL
%{__make}

# temporarily disabled by default - some problems with dom_jp_* tests
# (utf-8 related?)
%{?_with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README* Change* FAQ* html
%attr(755,root,root) %{_bindir}/*
%{perl_sitelib}/XML/*.pm
%{perl_sitelib}/XML/Checker
%dir %{perl_sitelib}/XML/DOM
%{perl_sitelib}/XML/DOM/*.pm
%{perl_sitelib}/XML/Filter/*.pm
%{perl_sitelib}/XML/Handler/*.pm
%dir %{perl_sitelib}/XML/XQL
%{perl_sitelib}/XML/XQL/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-libxml-enno.spec,v $
Revision 1.23  2002/10/11 12:33:37  ankry
- enable enabling tests (as non-default option)

Revision 1.22  2002/10/11 11:16:30  qboosh
- tests temporarily disabled - some problems with dom_jp_* tests

Revision 1.21  2002/09/16 08:40:18  ankry
- fixed previous commit changelog

Revision 1.20  2002/09/16 08:35:17  ankry
- added tests on bcond
- remove %%{perl_sitelib}/XML/Filter dir (moved to perl) and .pod files
- release 7

Revision 1.19  2002/07/16 11:49:12  ankry
- translations, cleaning
- back: s/libxml::enno/libxml-enno/g
- release 6

Revision 1.18  2002/07/13 15:40:54  qboosh
- added versions to BRs, removed Requires that are autogenerated
- BR: perl-XML-Encoding

Revision 1.17  2002/07/12 11:38:45  qboosh
- added missing dirs, new %%doc, release 5

Revision 1.16  2002/07/10 09:03:09  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.15  2002/05/11 14:28:16  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.14  2002/04/05 10:54:38  roman
s/GNU/GPL in License

Revision 1.13  2002/02/25 10:32:26  depesz
cleanup; revision++

Revision 1.12  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/13 20:28:05  kloczek
- adapterized.

Revision 1.10  2002/02/10 15:40:14  depesz
adapterized

Revision 1.9  2002/02/09 12:59:38  depesz
- unfied source path

Revision 1.8  2002/01/18 02:14:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/12/07 15:09:43  qboosh
- standarized Group (Development/Languages/Perl), pl translations; release 3

Revision 1.6  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.5  2001/05/15 11:23:52  mis
- autoupdated to 1.05

Revision 1.4  2001/04/30 15:05:41  baggins
- total cleanup - rewritten in PLD style

* Mon Jan 22 2001 Raul Dias <rsd@conectiva.com>
+ perl-libxml-enno-1.02-3cl
- first build
